package com.shigongli.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.NestedConfigurationProperty;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "weixin")
public class WeixinConfig {

    @NestedConfigurationProperty
    private Ma ma = new Ma();

    @NestedConfigurationProperty
    private Mp mp = new Mp();

    @Data
    public static class Ma {
        private String appid;
        private String secret;
        private String token;
        private String aesKey;
        private String msgDataFormat;
    }

    @Data
    public static class Mp {
        private String appid;
        private String secret;
        private String token;
        private String aesKey;
    }
}
